%define upstream_name    Algorithm-Combinatorics
%define upstream_version 0.27

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 15

Summary:    Efficient generation of combinatorial sequences
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Algorithm::Combinatorics is an efficient generator of combinatorial
sequences. Algorithms are selected from the literature (work in progress,
see the /REFERENCES manpage). Iterators do not use recursion, nor stacks,
and are written in C.

Tuples are generated in lexicographic order, except in 'subsets()'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.270.0-15pclos2017
- rebuild against updates

